Package com.ocient.jdbc.proto

# Interface PlanProtocol.SystemConfigurationVirtualOperatorOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `PlanProtocol.SystemConfigurationVirtualOperator`, `PlanProtocol.SystemConfigurationVirtualOperator.Builder`

Enclosing class:
  PlanProtocol

    public static interface PlanProtocol.SystemConfigurationVirtualOperatorOrBuilder
    extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`String` | `getDatabaseId()` | A string identifier that is the uuid of the database to which the query was submitted
`com.google.protobuf.ByteString` | `getDatabaseIdBytes()` | A string identifier that is the uuid of the database to which the query was submitted
`PlanProtocol.securityToken` | `getSecurityToken()` | The security token of the logged-in user
`PlanProtocol.securityTokenOrBuilder` | `getSecurityTokenOrBuilder()` | The security token of the logged-in user
`boolean` | `hasSecurityToken()` | The security token of the logged-in user

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### hasSecurityToken

boolean hasSecurityToken()

     The security token of the logged-in user

`.xg.db.sqlPlans.securityToken security_token = 1;`

### getSecurityToken

PlanProtocol.securityToken getSecurityToken()

     The security token of the logged-in user

`.xg.db.sqlPlans.securityToken security_token = 1;`

### getSecurityTokenOrBuilder

PlanProtocol.securityTokenOrBuilder getSecurityTokenOrBuilder()

     The security token of the logged-in user

`.xg.db.sqlPlans.securityToken security_token = 1;`

### getDatabaseId

String getDatabaseId()

     A string identifier that is the uuid of the database to which the query was submitted

`string database_id = 2;`

### getDatabaseIdBytes

com.google.protobuf.ByteString getDatabaseIdBytes()

     A string identifier that is the uuid of the database to which the query was submitted

`string database_id = 2;`